GNU logs - #40007, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#40007: 28.0.50; Emacs gets very slow when displaying a long line
Resent-From: Jan Synacek <jsynacek@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 10 Mar 2020 09:49:02 +0000
Resent-Message-ID: <handler.40007.B.158383371724797 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 40007
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 40007 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.158383371724797
          (code B ref -1); Tue, 10 Mar 2020 09:49:02 +0000
Received: (at submit) by debbugs.gnu.org; 10 Mar 2020 09:48:37 +0000
Received: from localhost ([127.0.0.1]:51891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBbV6-0006Rs-Ur
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 05:48:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:59171)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jsynacek@HIDDEN>) id 1jBbV3-0006Rc-7I
 for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 05:48:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60718)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jsynacek@HIDDEN>) id 1jBbV1-0002QQ-Hk
 for bug-gnu-emacs@HIDDEN; Tue, 10 Mar 2020 05:48:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jsynacek@HIDDEN>) id 1jBbV0-0005An-5C
 for bug-gnu-emacs@HIDDEN; Tue, 10 Mar 2020 05:48:31 -0400
Received: from us-smtp-delivery-1.mimecast.com ([207.211.31.120]:34454
 helo=us-smtp-1.mimecast.com)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jsynacek@HIDDEN>) id 1jBbV0-00059a-0R
 for bug-gnu-emacs@HIDDEN; Tue, 10 Mar 2020 05:48:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1583833709;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=6xXHwFvF2jcef/J8Jx2/GGs1r9hdoH8aEgzl4IC85a0=;
 b=AVarrlozxr05pL4QVZWqAqZO2n7Kl/yOtZIgjqV1LEguL9qZR5qG8gh8kZLzgmvtzkkz/N
 E/QuVXl/tTPj8zaJ26U6gng1mfMdSwJBMjT5LiCeq2q3n5UfmsM3b0f8ougYyi9h3lv2sL
 MT0cf0op5FNfd7yVLk/LqiJsgCEgnFo=
Received: from mimecast-mx01.redhat.com (mimecast-mx01.redhat.com
 [209.132.183.4]) (Using TLS) by relay.mimecast.com with ESMTP id
 us-mta-193-NNckO1yxNr-Sr9qGoyz3QQ-1; Tue, 10 Mar 2020 05:48:27 -0400
X-MC-Unique: NNckO1yxNr-Sr9qGoyz3QQ-1
Received: from smtp.corp.redhat.com (int-mx07.intmail.prod.int.phx2.redhat.com
 [10.5.11.22])
 (using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by mimecast-mx01.redhat.com (Postfix) with ESMTPS id 9A84A189F783
 for <bug-gnu-emacs@HIDDEN>; Tue, 10 Mar 2020 09:48:26 +0000 (UTC)
Received: from jsynacek-ntb.brq.redhat.com (unknown [10.43.7.140])
 by smtp.corp.redhat.com (Postfix) with ESMTPS id 1A7CE1001920
 for <bug-gnu-emacs@HIDDEN>; Tue, 10 Mar 2020 09:48:25 +0000 (UTC)
From: Jan Synacek <jsynacek@HIDDEN>
Date: Tue, 10 Mar 2020 10:48:24 +0100
Message-ID: <m6fmu8oh76f.fsf@HIDDEN>
MIME-Version: 1.0
X-Scanned-By: MIMEDefang 2.84 on 10.5.11.22
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 207.211.31.120
X-Spam-Score: 0.2 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


1) emacs -Q
2) M-x shell
3) execute a program that displays a single line, about ~193000
characters long

I accidentaly wrote a scheme program that dumped an entire file as a
single line, about 193k characters long, into the shell buffer. Emacs'
reponse latency becomes *very* slow, especially when navigating the
point over the long line.


In GNU Emacs 28.0.50 (build 7, x86_64-pc-linux-gnu, GTK+ Version 3.24.11, c=
airo version 1.16.0)
 of 2020-03-10 built on jsynacek-ntb.brq.redhat.com
Repository revision: a98c8f5a098cf646c282be67cce9fb7999d353d7
Repository branch: master
Windowing system distributor 'Fedora Project', version 11.0.12006000
System Description: Fedora 30 (Workstation Edition)

Recent messages:
Loading /usr/share/emacs/site-lisp/gtags.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...
No match [2 times]
Buffer "*shell*" has a running process; kill it? (y or n) y
next-line: End of buffer
Revert buffer from file /home/jsynacek/todo.org? (y or n) y
Making completion list...

Configured using:
 'configure --prefix=3D/home/jsynacek/emacs'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD
PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Org

Minor modes in effect:
  shell-dirtrack-mode: t
  delete-selection-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail shell org-element avl-tree
generator ol-eww ol-rmail ol-mhe ol-irc ol-info ol-gnus nnir gnus-sum
url url-proxy url-privacy url-expand url-methods url-history mailcap shr
url-cookie url-domsuf url-util svg xml dom gnus-group gnus-undo
gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo
parse-time iso8601 gnus-spec gnus-int gnus-range message rmc puny rfc822
mml mml-sec epa derived epg epg-config mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus-win gnus
nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
text-property-search mail-utils mm-util mail-prsvr wid-edit ol-docview
doc-view jka-compr image-mode exif dired dired-loaddefs ol-bibtex bibtex
ol-bbdb ol-w3m org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete pcomplete comint ansi-color
ring org-list org-faces org-entities time-date noutline outline
easy-mmode org-version ob-emacs-lisp ob-core ob-eval org-table ol
org-keys org-compat advice org-macs org-loaddefs format-spec find-func
cal-menu calendar cal-loaddefs gtags server sh-script smie executable
edmacro kmacro delsel paren info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 170604 23396)
 (symbols 48 19519 1)
 (strings 32 64980 1639)
 (string-bytes 1 2222006)
 (vectors 16 30280)
 (vector-slots 8 349836 16932)
 (floats 8 197 86)
 (intervals 56 414 0)
 (buffers 1000 14))





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Jan Synacek <jsynacek@HIDDEN>
Subject: bug#40007: Acknowledgement (28.0.50; Emacs gets very slow when
 displaying a long line)
Message-ID: <handler.40007.B.158383371724797.ack <at> debbugs.gnu.org>
References: <m6fmu8oh76f.fsf@HIDDEN>
X-Gnu-PR-Message: ack 40007
X-Gnu-PR-Package: emacs
Reply-To: 40007 <at> debbugs.gnu.org
Date: Tue, 10 Mar 2020 09:49:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 40007 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
40007: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D40007
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#40007: 28.0.50; Emacs gets very slow when displaying a long line
Resent-From: Pieter van Oostrum <pieter-l@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 10 Mar 2020 10:47:01 +0000
Resent-Message-ID: <handler.40007.B40007.158383719031520 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 40007
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Jan Synacek <jsynacek@HIDDEN>
Cc: 40007 <at> debbugs.gnu.org
Received: via spool by 40007-submit <at> debbugs.gnu.org id=B40007.158383719031520
          (code B ref 40007); Tue, 10 Mar 2020 10:47:01 +0000
Received: (at 40007) by debbugs.gnu.org; 10 Mar 2020 10:46:30 +0000
Received: from localhost ([127.0.0.1]:51927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBcP7-0008CK-R9
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 06:46:29 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:55959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jBcP6-0008C7-Se
 for 40007 <at> debbugs.gnu.org; Tue, 10 Mar 2020 06:46:29 -0400
X-ASG-Debug-ID: 1583837182-0ac37b1e552ea7c50001-YyCmTV
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id FVc1Hy13TJ4wneNv
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <40007 <at> debbugs.gnu.org>; Tue, 10 Mar 2020 11:46:22 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 30749 invoked from network); 10 Mar 2020 10:46:22 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 10 Mar 2020 10:46:22 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 8165BAAC67A6;
 Tue, 10 Mar 2020 11:46:22 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
References: <m6fmu8oh76f.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#40007: 28.0.50;
 Emacs gets very slow when displaying a long line
Date: Tue, 10 Mar 2020 11:46:22 +0100
In-Reply-To: <m6fmu8oh76f.fsf@HIDDEN> (Jan Synacek's
 message of "Tue, 10 Mar 2020 10:48:24 +0100")
Message-ID: <lxfteg1o8x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1583837182
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 523
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80576
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jan Synacek <jsynacek@HIDDEN> writes:

> 1) emacs -Q
> 2) M-x shell
> 3) execute a program that displays a single line, about ~193000
> characters long
>
> I accidentaly wrote a scheme program that dumped an entire file as a
> single line, about 193k characters long, into the shell buffer. Emacs'
> reponse latency becomes *very* slow, especially when navigating the
> point over the long line.
>
Use so-long-mode.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#40007: 28.0.50; Emacs gets very slow when displaying a long line
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 10 Mar 2020 14:41:02 +0000
Resent-Message-ID: <handler.40007.B40007.158385121930440 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 40007
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Jan Synacek <jsynacek@HIDDEN>
Cc: 40007 <at> debbugs.gnu.org
Received: via spool by 40007-submit <at> debbugs.gnu.org id=B40007.158385121930440
          (code B ref 40007); Tue, 10 Mar 2020 14:41:02 +0000
Received: (at 40007) by debbugs.gnu.org; 10 Mar 2020 14:40:19 +0000
Received: from localhost ([127.0.0.1]:53054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBg3P-0007uo-5Z
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 10:40:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1jBg3N-0007uW-CY; Tue, 10 Mar 2020 10:40:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36981)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jBg3I-0002Hs-2m; Tue, 10 Mar 2020 10:40:12 -0400
Received: from [176.228.60.248] (port=1144 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jBg3H-0006JF-DX; Tue, 10 Mar 2020 10:40:11 -0400
Date: Tue, 10 Mar 2020 16:40:12 +0200
Message-Id: <831rq0b7eb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <m6fmu8oh76f.fsf@HIDDEN> (message from Jan
 Synacek on Tue, 10 Mar 2020 10:48:24 +0100)
References: <m6fmu8oh76f.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

merge 40007 13675
thanks

> From: Jan Synacek <jsynacek@HIDDEN>
> Date: Tue, 10 Mar 2020 10:48:24 +0100
> 
> 
> 1) emacs -Q
> 2) M-x shell
> 3) execute a program that displays a single line, about ~193000
> characters long
> 
> I accidentaly wrote a scheme program that dumped an entire file as a
> single line, about 193k characters long, into the shell buffer. Emacs'
> reponse latency becomes *very* slow, especially when navigating the
> point over the long line.

This is bug#13675 (and others that were merged with it).

We now have so-long-mode to alleviate some of the problems.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 Mar 2020 14:40:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 10:40:19 2020
Received: from localhost ([127.0.0.1]:53052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBg3O-0007um-Ty
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 10:40:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1jBg3N-0007uW-CY; Tue, 10 Mar 2020 10:40:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36981)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jBg3I-0002Hs-2m; Tue, 10 Mar 2020 10:40:12 -0400
Received: from [176.228.60.248] (port=1144 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jBg3H-0006JF-DX; Tue, 10 Mar 2020 10:40:11 -0400
Date: Tue, 10 Mar 2020 16:40:12 +0200
Message-Id: <831rq0b7eb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jan Synacek <jsynacek@HIDDEN>
In-Reply-To: <m6fmu8oh76f.fsf@HIDDEN> (message from Jan
 Synacek on Tue, 10 Mar 2020 10:48:24 +0100)
Subject: Re: bug#40007: 28.0.50;
 Emacs gets very slow when displaying a long line
References: <m6fmu8oh76f.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: control
Cc: 40007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

merge 40007 13675
thanks

> From: Jan Synacek <jsynacek@HIDDEN>
> Date: Tue, 10 Mar 2020 10:48:24 +0100
> 
> 
> 1) emacs -Q
> 2) M-x shell
> 3) execute a program that displays a single line, about ~193000
> characters long
> 
> I accidentaly wrote a scheme program that dumped an entire file as a
> single line, about 193k characters long, into the shell buffer. Emacs'
> reponse latency becomes *very* slow, especially when navigating the
> point over the long line.

This is bug#13675 (and others that were merged with it).

We now have so-long-mode to alleviate some of the problems.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#40007: 28.0.50; Emacs gets very slow when displaying a long line
Resent-From: Phil Sainty <psainty@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 24 Mar 2020 08:50:01 +0000
Resent-Message-ID: <handler.40007.B40007.15850397651588 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 40007
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Pieter van Oostrum <pieter-l@HIDDEN>, Jan Synacek <jsynacek@HIDDEN>
Cc: 40007 <at> debbugs.gnu.org
Received: via spool by 40007-submit <at> debbugs.gnu.org id=B40007.15850397651588
          (code B ref 40007); Tue, 24 Mar 2020 08:50:01 +0000
Received: (at 40007) by debbugs.gnu.org; 24 Mar 2020 08:49:25 +0000
Received: from localhost ([127.0.0.1]:53862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGfFV-0000PY-1G
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 04:49:25 -0400
Received: from smtp-3.orcon.net.nz ([60.234.4.44]:55269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1jGfFT-0000PL-5R
 for 40007 <at> debbugs.gnu.org; Tue, 24 Mar 2020 04:49:24 -0400
Received: from [101.53.216.157] (port=44719 helo=[192.168.20.103])
 by smtp-3.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1jGfFP-0003KN-Fh; Tue, 24 Mar 2020 21:49:19 +1300
References: <m6fmu8oh76f.fsf@HIDDEN>
 <lxfteg1o8x.fsf@HIDDEN>
From: Phil Sainty <psainty@HIDDEN>
Message-ID: <f1d49063-b9e6-b56c-4711-ec930732a32b@HIDDEN>
Date: Tue, 24 Mar 2020 21:49:19 +1300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <lxfteg1o8x.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 10/03/20 11:46 pm, Pieter van Oostrum wrote: > Jan Synacek
 writes: > >> 1) emacs -Q >> 2) M-x shell >> 3) execute a program that displays
 a single line, about ~193000 >> characters long > > Use s [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [101.53.216.157 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [60.234.4.44 listed in list.dnswl.org]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: reddit.com]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (psainty[at]orcon.net.nz)
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 10/03/20 11:46 pm, Pieter van Oostrum wrote: > Jan Synacek
    writes: > >> 1) emacs -Q >> 2) M-x shell >> 3) execute a program that displays
    a single line, about ~193000 >> characters long > > Use s [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: reddit.com]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [101.53.216.157 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [60.234.4.44 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (psainty[at]orcon.net.nz)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

On 10/03/20 11:46 pm, Pieter van Oostrum wrote:
> Jan Synacek <jsynacek@HIDDEN> writes:
>
>> 1) emacs -Q
>> 2) M-x shell
>> 3) execute a program that displays a single line, about ~193000
>> characters long
>
> Use so-long-mode.

For clarity, global-so-long-mode isn't going to help with that
recipe, because it doesn't try to detect the *dynamic* creation of
very long lines.  It only cares about visiting files.

In principle it can be employed successfully in other situations,
but for now it's up to users to target such things explicitly.
E.g.:
https://www.reddit.com/r/emacs/comments/ccoksw/solong_mitigating_slowness_due_to_extremely_long/etpi51l/

Note that you probably shouldn't invoke major mode so-long-mode in
a shell-mode buffer, but so-long-minor-mode could help somewhat if
it were enabled.  I think only slightly, though -- in this instance
you'll end up with the *end* of a very long line on display, and so
performance is going to be fairly poor regardless.  Certainly in my
test it didn't make a dramatic difference.  (The really major
benefits of so-long are in preventing certain serious problems
which can occur even when only the start of the line is visible,
and in those situations the improvements can be extremely good.)

As Eli says, the library alleviates some of the problems -- but
only some of them.


-Phil





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2020 17:06:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 13:06:02 2020
Received: from localhost ([127.0.0.1]:48187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9AUM-0004Jo-OQ
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:06:02 -0400
Received: from mail-yb1-f174.google.com ([209.85.219.174]:45008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k9AUK-0004In-CS
 for control <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:06:00 -0400
Received: by mail-yb1-f174.google.com with SMTP id i10so1381911ybt.11
 for <control <at> debbugs.gnu.org>; Fri, 21 Aug 2020 10:06:00 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=oO9Ukq+yL4ZHa0KQ3n/6AXU2R4rT5NZrp+6JqNA8vXs=;
 b=B00hZFAjjv4zhs0/bD9bxKdj1lVqPpRYMkLisYQ7tPCA2st+k4JOROGea4pw6tonnA
 z5DdFSEoXqRKbwiYYvb0YxRW4/DW2dF5SPeUTQccv5eE82KtrRMt+S7108n1wXbfArGB
 Duav4NgKnHc/o5bx8l4eMd2Lo0BnS7+TGDtt1CmKjXrbDdD0MULVpnFAcyRgqXzGHats
 HPmLE0/DvYYhmE0jFuFKL5paKjijmavFPvRp/Cm6ckGSbQVt0GAwRpMexsKigkkdLD5f
 DJxmzVtPeZP8Z2iwatMGOniG7oEqVO3P9vmVGi1B8P4mCIg3FrSoModeXXRqIw+d/4WZ
 cAnA==
X-Gm-Message-State: AOAM530X93b2aGdrifXMvwSDK0LVHD+ncNxmkTegsH6jc6k13eBxUUgP
 kOOGL8BY6nftBY+omOM1HUfDWOrVKoUpzF64ysd9AxvEhwvvsA==
X-Google-Smtp-Source: ABdhPJyDk5CYbpOPdrj7bSkIgXmyc2pJB2JjTXo25T+CIu9inVCfq78tsVKYcz61E2t2lbTEqiuM16cFPYs0F6tif1U=
X-Received: by 2002:a25:b290:: with SMTP id k16mr4822633ybj.389.1598029554876; 
 Fri, 21 Aug 2020 10:05:54 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Aug 2020 10:05:54 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Fri, 21 Aug 2020 10:05:54 -0700
Message-ID: <CADwFkmksV_K_mYcKXKtdTA0kCXQ9eLvrHw9fCiBTD1Wqu0-exA@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  merge 13675 32523 thanks 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.174 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.174 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  merge 13675 32523 thanks 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.219.174 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.219.174 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
  2.0 BLANK_SUBJECT          Subject is present but empty
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
                             lines

merge 13675 32523
thanks




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2020 17:42:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 13:42:23 2020
Received: from localhost ([127.0.0.1]:48238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9B3X-0007VV-2l
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:42:23 -0400
Received: from mail-yb1-f178.google.com ([209.85.219.178]:35257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k9B3S-0007V9-Lg
 for control <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:42:21 -0400
Received: by mail-yb1-f178.google.com with SMTP id y134so1460055yby.2
 for <control <at> debbugs.gnu.org>; Fri, 21 Aug 2020 10:42:18 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=EWV69o2tJibW/qvbUF6dqOcHAYWps8Mkc9e4bv8rbhU=;
 b=YEkv0iJYDZN6/jvtVYM+J+9Buy6yaMMVfwpDA2uVayEEXsKmG5G2AHclYojzVAdWyi
 c5bLtHXM//llNE9Gd90wXhfJ4cXrQISpaEP5Dmp9CfXUwPPVm99Dbvylxb5I3IauF6NW
 d+06q/oRRvxfyKJvOkxjkDTU+KahbmbGGLTLXgGw+T1RL+8W68u16qai50C05UfwJ47o
 gGFkTUM7S3p/xeT3Tv+90nf7zzqMp8lNJphMaQJ59fDMikCxVelwwKKKbTbiFqvtkd+Y
 g28ksVg4znTVM7Sm5bvk2HFjxOMusIfjRqalwGwy8R7Bh8UH1gt8Hzc4e8JSRSFUPNSf
 tH+Q==
X-Gm-Message-State: AOAM532EKDD4THkT5g2xf++7vJ3rgfsWJRYCXq0rjqH7KsH/VZ4bKwLS
 S3mOHKcIar3cyUJfwGx7PZkobleXeCaY2Se+WxhOv4h/gnWEgQ==
X-Google-Smtp-Source: ABdhPJyhkJ+ZWtZcBFaHE1oBMiKOVWOQnTSGkJIWAH4N+fWv8b8N8GlbjMdcPi5Fg7F2qQj4/LPz1s7H71KL6bxtXLc=
X-Received: by 2002:a5b:410:: with SMTP id m16mr4981727ybp.309.1598031732879; 
 Fri, 21 Aug 2020 10:42:12 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Aug 2020 10:42:11 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Fri, 21 Aug 2020 10:42:11 -0700
Message-ID: <CADwFkmkkygLDpLJwD8ojdWJBXH3h6V55wp=U65f8t9qsNVEn-g@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  severity 22143 normal merge 13675 22143 thanks 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.178 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.178 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  severity 22143 normal merge 13675 22143 thanks 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.219.178 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.219.178 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
  2.0 BLANK_SUBJECT          Subject is present but empty
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
                             lines

severity 22143 normal
merge 13675 22143
thanks




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#40007: 28.0.50; Emacs gets very slow when displaying a long line
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 23 Jul 2022 09:00:02 +0000
Resent-Message-ID: <handler.40007.B40007.16585667518308 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 40007
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: David Reitter <david.reitter@HIDDEN>
Cc: 40007 <at> debbugs.gnu.org, 3219 <at> debbugs.gnu.org
Received: via spool by 40007-submit <at> debbugs.gnu.org id=B40007.16585667518308
          (code B ref 40007); Sat, 23 Jul 2022 09:00:02 +0000
Received: (at 40007) by debbugs.gnu.org; 23 Jul 2022 08:59:11 +0000
Received: from localhost ([127.0.0.1]:43437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFAyc-00029q-N1
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 04:59:10 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1oFAyb-00029W-Fp; Sat, 23 Jul 2022 04:59:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=VUglTnBQG/o/eAxdZ0w1UP1F335noRbVuIgNnWrcNeE=; b=l4/oZZlwsHdTE34826HSHoBEkH
 gM1ZTh+PD8xcazkiZU54aTISBq+08guQPQCgYOi+S4d6zXBRVp9GcQG2pWbRqFooWrVFVKr3z2L1Y
 wKVnaPvR9f2xgX9De35oCeYSBCdlR0qymnscXwzY4eiuCmdxRuW+ezh6/Mq+87EPY7DY=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oFAyT-0000fu-Ay; Sat, 23 Jul 2022 10:59:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <ECA313FC-1DA9-4E62-9E2E-DAC9AE55F284@HIDDEN> (David Reitter's
 message of "Tue, 5 May 2009 08:44:05 -0400")
References: <ECA313FC-1DA9-4E62-9E2E-DAC9AE55F284@HIDDEN>
X-Now-Playing: Mia Doi Todd's _Music Life_: "Little Bird (feat. Fabiano do
 Nascimento & Miguel Atwood-Ferguson)"
Date: Sat, 23 Jul 2022 10:59:00 +0200
Message-ID: <87o7xgtdbf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: David Reitter <david.reitter@HIDDEN> writes: > Emacs
 becomes
 extremely sluggish when long lines are used. These issues have been fixed
 in Emacs 29 -- long lines no longer slows down Emacs (to these degrees),
 so I'm closing this bug report. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

David Reitter <david.reitter@HIDDEN> writes:

> Emacs becomes extremely sluggish when long lines are used.

These issues have been fixed in Emacs 29 -- long lines no longer slows
down Emacs (to these degrees), so I'm closing this bug report.

There may be issues remaining with long lines, and if so, please open
new bug reports for those issues (and cases for reproduction would be
appreciated).





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 23 Jul 2022 08:59:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 23 04:59:21 2022
Received: from localhost ([127.0.0.1]:43440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFAym-0002AM-Vv
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 04:59:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oFAyl-0002A7-My
 for control <at> debbugs.gnu.org; Sat, 23 Jul 2022 04:59:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ZOx7Or2+rJP/3U1mbA613hdzQoIuBCaxaSR0wzztDYo=; b=TvSFuQGmBnIZFLC5hrnyBpbKew
 KxSTZ4bKgdNagP4ifRZ5WDMNpXTRFbQHB/xYij+kk6DbSJq/H92szpaQDDrixujkYMvHvfbz00rBM
 +fumZNM2Z+l1I0Madiv/J93c94FN5KfQ3WuoVCqFBIUk/8Q2iQoYKtbXkL6iVo2xBW2w=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1oFAyd-0000g5-U0
 for control <at> debbugs.gnu.org; Sat, 23 Jul 2022 10:59:13 +0200
Date: Sat, 23 Jul 2022 10:59:08 +0200
Message-Id: <87mtd0tdb7.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #40007
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  close 40007 29.1 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

close 40007 29.1
quit






Last modified: Sat, 23 Jul 2022 09:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.